--- title: "addAccessControlGroupInboundRule" slug: "compute-vserver-acg-addaccesscontrolgroupinboundrule" tags: ["Server", "ACG"] updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-acg-addaccesscontrolgroupinboundrule" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addAccessControlGroupInboundRule Available in VPC Add an inbound rule to an ACG. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/addAccessControlGroupInboundRule | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `vpcNo` | String | Required | VPC number - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `accessControlGroupNo` | String | Required | ACG number - See [getAccessControlGroupList](/docs/en/compute-vserver-acg-getaccesscontrolgrouplist). | | `accessControlGroupRuleList.N.protocolTypeCode` | String | Required | Protocol type code - `TCP` \| `UDP` \| `ICMP` \| `1`-`254` (protocol number) - Protocol number: See [Protocol number](https://www.iana.org/assignments/protocol-numbers/protocol-numbers.xhtml). | | `accessControlGroupRuleList.N.ipBlock` | String | Conditional | Access source: IP address block - Example: `0.0.0.0/0`, `100.10.20.0/24` - Can't be used concurrently with `accessControlGroupSequence`. | | `accessControlGroupRuleList.N.accessControlGroupSequence` | String | Conditional | Access source: ACG number - See [getAccessControlGroupList](/docs/en/compute-vserver-acg-getaccesscontrolgrouplist). - Can't be used concurrently with `ipBlock`. | | `accessControlGroupRuleList.N.portRange` | String | Conditional | Allowed port - Enter as a single port or range of ports. - Required if `protocolTypeCode` is `TCP(6)` or `UDP(17)` - Example: `22`, `1-65535` | | `accessControlGroupRuleList.N.accessControlGroupRuleDescription` | String | Optional | ACG inbound rule note (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/addAccessControlGroupInboundRule ?regionCode=KR &vpcNo=4**5 &accessControlGroupNo=6***4 &accessControlGroupRuleList.1.protocolTypeCode=TCP &accessControlGroupRuleList.1.ipBlock=*.*.20.0%2F24 &accessControlGroupRuleList.1.portRange=1-65535 &accessControlGroupRuleList.1.accessControlGroupRuleDescription=putty &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `addAccessControlGroupInboundRuleResponse` | Object | - | Response result - See [AccessControlGroupRuleList](/docs/en/common-vapidatatype-accesscontrolgrouprulelist). | | `addAccessControlGroupInboundRuleResponse.requestId` | String | - | ID for the request - UUID format | | `addAccessControlGroupInboundRuleResponse.returnCode` | String | - | Response code | | `addAccessControlGroupInboundRuleResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "addAccessControlGroupInboundRuleResponse": { "totalRows": 1, "accessControlGroupRuleList": [ { "accessControlGroupNo": "6***4", "protocolType": { "code": "TCP", "codeName": "tcp", "number": 6 }, "ipBlock": "*.*.20.0/24", "accessControlGroupSequence": "", "portRange": "1-65535", "accessControlGroupRuleType": { "code": "INBND", "codeName": "Inbound" }, "accessControlGroupRuleDescription": "putty" } ], "requestId": "ac7285ca-****-****-****-6511d447736a", "returnCode": "0", "returnMessage": "success" } } ```